Bug 1462557 - "pwgen -n 1" doesn't work as advertised
"pwgen -n 1" doesn't work as advertised
Status: NEW
Product: Fedora
Classification: Fedora
Component: pwgen (Show other bugs)
27
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: jbowes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-18 17:20 EDT by Andre Robatino
Modified: 2017-08-15 04:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2017-06-18 17:20:01 EDT
Description of problem:
According to the man page, "pwgen -n 1" should generate 1-digit passwords. Instead, all of them are lower-case letters. I wanted to be able to use this to generate a sequence of random digits (such as a PIN), since pwgen doesn't have a numbers-only option.

Version-Release number of selected component (if applicable):
pwgen-2.07-3.fc24.x86_64

How reproducible:
always

Steps to Reproduce:
1. pwgen -n 1

Actual results:
Collection of 1-character lower-case letter passwords

Expected results:
Collection of 1-digit passwords

Additional info:
The -n option appears to work properly if the password length is greater than 1.
Comment 1 Andre Robatino 2017-06-18 17:27:20 EDT
Same behavior in pwgen-2.07-4.fc26.x86_64 in Rawhide.
Comment 2 Andre Robatino 2017-06-27 04:18:22 EDT
Just reported at https://github.com/jbernard/pwgen/issues/2 (but not sure if that's the right upstream bug tracker).
Comment 3 Andre Robatino 2017-07-09 03:18:57 EDT
The above is the wrong bug tracker. The correct one is apparently https://sourceforge.net/projects/pwgen/ (which is owned by the original developer), but there's apparently no way to file a ticket there. It says "To create a new ticket, you must be authorized by the project admin." but there's no way to even request that.
Comment 4 Jan Kurik 2017-08-15 04:23:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.